This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 73691 - (IDE)Installer hangs - problems with I/O and Formatting
(IDE)Installer hangs - problems with I/O and Formatting
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-08 18:27 EDT by John Grosh
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Grosh 2002-09-08 18:27:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; AOL 7.0; Windows 98; Compaq)

Description of problem:
RedHat 7.3 Personal Version installation halts during formatting - perhaps 
during mke2fs.  

I am attempting to install RedHat 7.3 on a Compaq 4824 Desktop system contains 
a Pentium II-MMX, 233 Mhz with 512 KB of cache, 64 MB memory, QUANTUM BIGFOOT 
CY6480A (6,202 MB)hard drive, floppy, 24X CDROM, 56 KB Model, AATI3D Rage Pro 
AGP 2X graphics controller, JBL speakers, enhanced keyboard, 2-button mouse.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
The following represents my failed attempts at installing LINUX on my desktop 
system:

(Attempt #1) Installation script halts when in the "Installing Packages" 
window.  This happens for both the GUI and text install scripts.  When program 
halts, I see a status bar on the screen titled "Formatting / filesystem".  The 
bar appears to be about 10% towards completion.  The hard disk status light is 
on, but I hear no disk activity within the desktop. At this point, the system 
halts completely.

This problem occurs when I attempt to install LINUX and also attempt to install 
LINUX in dual-boot mode with Windows 95.

(Attempt #2) As suggested by RedHat support, I tried the following boot options 
with no success: linux hda=nodma, linux ide0=noautotune, linux apic hda=nodma, 
linux apic text, linux pci=biosirq.  

(Attempt #3) I went into "linux rescue" mode and went into a shell.   I typed

fdisk /dev/hda

The output looked like this:  

Device   Boot  Start     ENd    BLocks   ID System
/dev/hda1  *      1      7      5288+   83  Linux
/dev/hda2           8      814    6100920   83   Linux
/dev/hda3           815    840     196560   82   Linux swap

I then ran 

mke2fs -c -v -j /dev/hda1   #ext3 file system

The installation program successful checked for bad blocks, wrote the inode 
table, and then created a journal, but then froze when it started to write the 
superblocks and filesystem accounting information.  The disk status light was 
lit up without blinking.

I then ran 

mke2fs -c -v /dev/hda1  #ext2 file system 

!!! This actually was successful !!!

I then ran 

mke2fs -c -v /dev/hda2

This completed the checking for bad blocks but froze on the writing of inode 
tables.  It froze on inode table 13/47.

	

Actual Results:  System hangs with the hard disk status light turned "on" 
continuously. That being said, I hear no disk activity and have to turn the 
system off then on to reboot.  (Cntl-Alt-Del does NOT reboot the system.)  

Expected Results:  LINUX should partitioned the disk and installed the packages.

Additional info:

Note that I can install Windows 95 on this system without a problem.

I have attempted to dual-boot the system using the GUI-installer  (anaconda).  
The system halts just as in LINUX-only mode.
Comment 1 Michael Fulbright 2002-09-16 15:25:06 EDT
Assigning to kernel.
Comment 2 Bugzilla owner 2004-09-30 11:39:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.